open-vm-tools 10.1.5

Data Fields
ToolsPluginSignalCb Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields
const gchar * | signame
gpointer | callback
gpointer | clientData

## Detailed Description

Defines a struct for mapping callbacks to signals. Normally it would suffice to use g_signal_connect() directly to register interest in signals; but to allow dynamic registration of signals by plugins, using this struct allows registration to be delayed until all plugins have been loaded and have had the chance to register their own signals. The daemon code then can go through the plugins' registration data and connect all desired signals.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h